package com.community.huiju.model;

import java.util.Date;
import java.util.List;

public class TpTicketRecord {
    private Integer id;

    private Integer communityId;

    private Integer ticketId;

    /**
     * 自动生成的回复
     */
    private String content;

    private String status;
    
    private String ticketStatusName;

    private Integer createUser;

    private Date createDate;
    
    private List<TpTicketRecordComment> ticketRecordCommentList;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public Integer getTicketId() {
        return ticketId;
    }

    public void setTicketId(Integer ticketId) {
        this.ticketId = ticketId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
    
    public String getTicketStatusName() {
        return ticketStatusName;
    }
    
    public void setTicketStatusName(String ticketStatusName) {
        this.ticketStatusName = ticketStatusName;
    }
    
    public List<TpTicketRecordComment> getTicketRecordCommentList() {
        return ticketRecordCommentList;
    }
    
    public void setTicketRecordCommentList(List<TpTicketRecordComment> ticketRecordCommentList) {
        this.ticketRecordCommentList = ticketRecordCommentList;
    }
}